import { ApiBase } from './ApiBase';
import { SystemStatusApi } from '../SystemStatusApi';
import { AdaptableMessageType } from '../../AdaptableState/Common/AdaptableMessageType';
import { SystemStatusMessageInfo } from '../../AdaptableState/Common/SystemStatusMessageInfo';
import { IAdaptable } from '../../AdaptableInterfaces/IAdaptable';
import { SystemStatusInternalApi } from '../Internal/SystemStatusInternalApi';
export declare class SystemStatusApiImpl extends ApiBase implements SystemStatusApi {
    private systemStatusDiv;
    internalApi: SystemStatusInternalApi;
    constructor(_adaptable: IAdaptable);
    setSystemStatus(statusMessage: string, messageType: AdaptableMessageType, statusFurtherInformation?: string): void;
    private displayMessageInDiv;
    setErrorSystemStatus(statusMessage: string, statusFurtherInformation?: string): void;
    setWarningSystemStatus(statusMessage: string, statusFurtherInformation?: string): void;
    setSuccessSystemStatus(statusMessage: string, statusFurtherInformation?: string): void;
    setInfoSystemStatus(statusMessage: string, statusFurtherInformation?: string): void;
    openSystemStatusSettingsPanel(): void;
    getCurrentSystemStatusMessageInfo(): SystemStatusMessageInfo | undefined;
    deleteAllSystemStatusMessages(): void;
    destroy(): void;
}
